import { BrowserModule } from '@angular/platform-browser';
import { Injectable, Component, EventEmitter, Output, Input, NgModule, defineInjectable } from '@angular/core';
import { FormsModule } from '@angular/forms';

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var OmnipresentWebLibService = /** @class */ (function () {
    function OmnipresentWebLibService() {
    }
    OmnipresentWebLibService.decorators = [
        { type: Injectable, args: [{
                    providedIn: 'root'
                },] }
    ];
    /** @nocollapse */
    OmnipresentWebLibService.ctorParameters = function () { return []; };
    /** @nocollapse */ OmnipresentWebLibService.ngInjectableDef = defineInjectable({ factory: function OmnipresentWebLibService_Factory() { return new OmnipresentWebLibService(); }, token: OmnipresentWebLibService, providedIn: "root" });
    return OmnipresentWebLibService;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var OmnipresentWebLibComponent = /** @class */ (function () {
    function OmnipresentWebLibComponent() {
    }
    /**
     * @return {?}
     */
    OmnipresentWebLibComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () {
    };
    OmnipresentWebLibComponent.decorators = [
        { type: Component, args: [{
                    selector: 'omnipresent-web-omnipresent-web-lib',
                    template: "\n    <p>\n      omnipresent-web-lib works!\n    </p>\n  "
                }] }
    ];
    /** @nocollapse */
    OmnipresentWebLibComponent.ctorParameters = function () { return []; };
    return OmnipresentWebLibComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var User = /** @class */ (function () {
    function User() {
    }
    return User;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var LoginComponent = /** @class */ (function () {
    function LoginComponent() {
        this.emailPassword = true;
        this.google = true;
        this.twitter = true;
        this.googleEventEmitter = new EventEmitter();
        this.twitterEventEmitter = new EventEmitter();
        this.emailEventEmitter = new EventEmitter();
    }
    /**
     * @return {?}
     */
    LoginComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () {
        this.user = new User();
    };
    /**
     * @return {?}
     */
    LoginComponent.prototype.loginWithGoogle = /**
     * @return {?}
     */
    function () {
        this.googleEventEmitter.emit(true);
    };
    /**
     * @return {?}
     */
    LoginComponent.prototype.loginWithTwitter = /**
     * @return {?}
     */
    function () {
        this.twitterEventEmitter.emit(true);
    };
    /**
     * @return {?}
     */
    LoginComponent.prototype.loginWithEmail = /**
     * @return {?}
     */
    function () {
        this.emailEventEmitter.emit(this.user);
    };
    LoginComponent.decorators = [
        { type: Component, args: [{
                    selector: 'omnipresent-web-login',
                    template: "<div class=\"login\">\n    <div class=\"email-password\" *ngIf=\"emailPassword\">\n        <input [(ngModel)]=\"user.email\" type=\"text\" placeholder=\"Email\" #userEmail required autofocus>\n        <input [(ngModel)]=\"user.password\" type=\"password\" placeholder=\"Password\" #userPassword required>\n        <button (click)=\"loginWithEmail()\">Login</button>\n        <div class=\"divider\">\n            <div class=\"bar\"></div>\n            <span class=\"login-or\">OR</span>\n            <div class=\"bar\"></div>\n        </div>\n    </div>\n    <button *ngIf=\"twitter\" class=\"register-button twitter\" (click)=\"loginWithTwitter()\">\n      <i class=\"fab fa-twitter\"></i>\n      <span>Login with Twitter</span>\n    </button>\n    <button *ngIf=\"google\" class=\"register-button google\" (click)=\"loginWithGoogle()\">\n      <i class=\"fab fa-google\"></i>\n      <span>Login with Google</span>\n    </button>\n</div>\n",
                    styles: [".login{text-align:center;display:-ms-grid;display:grid;margin:auto;max-width:400px}.twitter{background-color:#60b5f0}.google{background-color:#db3236}i{margin-right:10px}.divider{display:flex;justify-content:center;margin:20px}.divider .bar{border-bottom:2px solid #2c3e50;margin:5px;width:35%}.email-password{text-align:center;display:-ms-grid;display:grid;margin:auto;width:100%}"]
                }] }
    ];
    /** @nocollapse */
    LoginComponent.ctorParameters = function () { return []; };
    LoginComponent.propDecorators = {
        emailPassword: [{ type: Input }],
        google: [{ type: Input }],
        twitter: [{ type: Input }],
        googleEventEmitter: [{ type: Output }],
        twitterEventEmitter: [{ type: Output }],
        emailEventEmitter: [{ type: Output }]
    };
    return LoginComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var ViewImageComponent = /** @class */ (function () {
    function ViewImageComponent() {
        this.weekIms = [];
        this.counter1 = 0;
        this.show = false;
    }
    /**
     * @return {?}
     */
    ViewImageComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () {
        this.picterno = 0;
    };
    /**
     * @return {?}
     */
    ViewImageComponent.prototype.ngDoCheck = /**
     * @return {?}
     */
    function () {
        if (this.data) {
            this.counter1++;
            if (this.counter1 == 1) {
                this.assignImages();
            }
        }
        else {
            this.images = [];
        }
    };
    /**
     * @return {?}
     */
    ViewImageComponent.prototype.OnRight = /**
     * @return {?}
     */
    function () {
        if (this.picterno + 8 < this.data.length) {
            this.picterno += 8;
            this.assignImages();
        }
    };
    /**
     * @return {?}
     */
    ViewImageComponent.prototype.OnLeft = /**
     * @return {?}
     */
    function () {
        if (this.picterno - 8 > -1) {
            this.picterno -= 8;
            this.assignImages();
        }
    };
    /**
     * @return {?}
     */
    ViewImageComponent.prototype.assignImages = /**
     * @return {?}
     */
    function () {
        /** @type {?} */
        var tempImg = [];
        for (var i = 0; i < 8; i++) {
            tempImg.push(this.data[i + this.picterno]);
            this.images = tempImg;
        }
    };
    /**
     * @param {?} imageno
     * @return {?}
     */
    ViewImageComponent.prototype.clickImage = /**
     * @param {?} imageno
     * @return {?}
     */
    function (imageno) {
        this.assignImages();
        this.show = true;
        this.selectedImage = this.images.indexOf(this.imageno);
        this.mainImage = this.imageno;
    };
    /**
     * @return {?}
     */
    ViewImageComponent.prototype.closeImage = /**
     * @return {?}
     */
    function () {
        this.show = false;
    };
    /**
     * @return {?}
     */
    ViewImageComponent.prototype.next = /**
     * @return {?}
     */
    function () {
        if (this.selectedImage < this.images.length - 1) {
            this.selectedImage += 1;
            this.mainImage = this.images[this.selectedImage];
        }
    };
    /**
     * @return {?}
     */
    ViewImageComponent.prototype.prev = /**
     * @return {?}
     */
    function () {
        if (this.selectedImage > -1) {
            this.selectedImage -= 1;
            this.mainImage = this.images[this.selectedImage];
        }
    };
    ViewImageComponent.decorators = [
        { type: Component, args: [{
                    selector: 'OIV-view-image',
                    template: "\n<div class=\"container\">\n  <div class=\"view\" *ngFor=\"let image of images\">\n    <img class=\"main\" [src]=\"image\" (click)=\"clickImage(this.imageno = image)\">\n  </div>\n</div>\n<div id=\"myModal\" class=\"modal\" *ngIf=\"show\">\n  <div class=\"modal-content\">\n    <span class=\"close\" (click)=\"closeImage()\">&times;</span>\n    <img [src]=\"mainImage\" class=\"main1\">\n    <div class=\"container1\">\n        <button type=\"button\" class=\"btns\" (click)=\"prev()\">prev</button>\n\n        <button type=\"button\" class=\"btns\" (click)=\"next()\" >next</button>\n    </div>\n  </div>\n</div>\n<div class=\"container2\">\n    <button type=\"button\" class=\"btns\" (click)=\"OnLeft()\" >prev</button>\n    <button type=\"button\" class=\"btns\" (click)=\"OnRight()\">next</button>\n</div>\n",
                    styles: [".icons{opacity:.9;z-index:-1}.main1{-o-object-fit:contain;object-fit:contain;max-width:80%;max-height:80%;margin:auto}.main{max-width:100%;opacity:1;box-shadow:0 8px 16px rgba(black,.45);justify-content:space-between}.main:hover{max-width:100%;opacity:.2}.row{display:flex;border:5px solid #000}.container{display:-ms-grid;display:grid;-ms-grid-columns:auto auto auto auto;grid-template-columns:auto auto auto auto;-ms-grid-rows:auto auto;grid-template-rows:auto auto;grid-gap:50px;background-color:rgba(255,255,255,.1);height:98%;margin-top:10%}.container1{display:-ms-grid;display:grid;-ms-grid-columns:auto auto auto auto;grid-template-columns:auto auto auto auto;grid-gap:50px;margin-bottom:1%;position:fixed;bottom:25%;right:30%}.container2{display:-ms-grid;display:grid;-ms-grid-columns:auto auto auto auto;grid-template-columns:auto auto auto auto;grid-gap:50px;position:fixed;bottom:1%;right:30%}.container>div{background-color:rgba(255,255,255,.8);text-align:center;width:100%;font-size:30px}.mainDisplay{background-color:rgba(255,255,255,.2);padding:10px;width:98%;box-shadow:5px 10px 8px #888}.view{background-color:rgba(255,255,255,.7);box-shadow:5px 10px 8px #888}.modal{display:block;position:fixed;z-index:1;left:0;top:0;width:100%;height:100%;overflow:auto;background-color:rgba(0,0,0,.4)}.modal-content{-o-object-fit:cover;object-fit:cover;background-color:#fefefe;margin-top:5%;margin-left:10%;padding:20px;border:1px solid #888;width:80%;height:80%}.close{color:#aaa;float:right;font-size:28px;font-weight:700}.close:focus,.close:hover{color:#000;text-decoration:none;cursor:pointer}.btns{border-radius:4px;width:50px;height:50px}@media (max-width:400px){.container{display:list-item;-ms-grid-columns:100%;grid-template-columns:100%;-ms-grid-rows:100%;grid-template-rows:100%;grid-gap:10px;padding:10px}}"]
                }] }
    ];
    /** @nocollapse */
    ViewImageComponent.ctorParameters = function () { return []; };
    ViewImageComponent.propDecorators = {
        data: [{ type: Input }]
    };
    return ViewImageComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var OmnipresentWebLibModule = /** @class */ (function () {
    function OmnipresentWebLibModule() {
    }
    OmnipresentWebLibModule.decorators = [
        { type: NgModule, args: [{
                    declarations: [
                        OmnipresentWebLibComponent,
                        LoginComponent,
                        ViewImageComponent
                    ],
                    imports: [
                        BrowserModule,
                        FormsModule
                    ],
                    exports: [
                        OmnipresentWebLibComponent,
                        LoginComponent,
                        ViewImageComponent
                    ]
                },] }
    ];
    return OmnipresentWebLibModule;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

export { OmnipresentWebLibService, OmnipresentWebLibComponent, OmnipresentWebLibModule, LoginComponent as ɵa, ViewImageComponent as ɵb };

//# sourceMappingURL=omnipresent-web-lib.js.map